require "spec"
require "../src/compiled_license"

describe CompiledLicense do
  licenses = CompiledLicense::LICENSES

  it "should return string" do
    (licenses.size > 20).should be_true
  end

  it "should include license of current file" do
    licenses.should contain("compiled_license")
  end

  it "should contain name of author from license file" do
    licenses.should contain("Isaac Sloan")
  end

  it "should contain more than one license" do
    delimiter = "\n\n"
    (licenses.split(delimiter).size > 1).should be_true
  end
end
